org.apache.flume.sink.kite.policy

## Class FailurePolicyFactory

- java.lang.Object
- - org.apache.flume.sink.kite.policy.FailurePolicyFactory

-     public class FailurePolicyFactory
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FailurePolicyFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FailurePolicy` | `newPolicy(Context config)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FailurePolicyFactory

          public FailurePolicyFactory()

  - ### Method Detail

    - #### newPolicy

          public FailurePolicy newPolicy(Context config)

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.